#!/usr/local/bin/ruby -w

class Address1

	def initialize(firstname = "", lastname = "", country = "")
		@firstname = firstname
		@lastname  = lastname
		@country      = country
	end

	def firstname=(firstname)
		@firstname = firstname
	end

	def firstname
		@firstname
	end

	def to_s
		"#{@firstname} #{@lastname}, #{@country}"
	end

end

class Address2

	attr_accessor(:firstname, :lastname, :country)

	def initialize(firstname = "", lastname = "", country = "")
		@firstname = firstname
		@lastname  = lastname
		@country      = country
	end

	def to_s
		"#{@firstname} #{@lastname}, #{@country}"
	end
end	

puts "testing Address1"
hobbit = Address1.new("frodo", "baggins", "middle-earth")
puts hobbit
hobbit.firstname = "bilbo"
puts hobbit

puts "\ntesting Address 2"
hacker = Address2.new("Linus", "Torvalds", "Finland")
puts hacker
hacker.country = "USA"
puts hacker
